#include <Servo.h>
#include <LiquidCrystal.h>

Servo S1;
LiquidCrystal lcd(2, 3, 4, 5, 6, 7);

void setup(){  
  pinMode(A3, INPUT_PULLUP);
  S1.attach(9);
  lcd.begin(16, 2);
  lcd.print("A/D izhod:");
  lcd.setCursor(0, 1);
  lcd.print("servo:");
}

void loop(){
  int potValue = analogRead(A0);
  lcd.setCursor(12,0);
  if (potValue > 999 ) {
  } else if (potValue > 99) {
    lcd.print(" ");
  } else if (potValue > 9) {
    lcd.print("  ");
  } else {
    lcd.print("   ");
  }
  lcd.print(potValue);

  int S1Value = map(potValue, 0, 1023, 0, 180);
  lcd.setCursor(12,1);
  if (S1Value > 99 ) {
  } else if (S1Value > 9) {
    lcd.print(" ");
  } else{
    lcd.print("  ");
  }
  lcd.print(S1Value);
  lcd.print(char(223));
  if (!digitalRead(A3)) {
    S1.write(S1Value);
  }
}
